package com.mobile.constellations.data;

public class Allconstellation {
	public String title;
	public String constellation;
	public String desc;
	public Allconstellation(String title, String constellation, String desc) {
		super();
		this.title = title;
		this.constellation = constellation;
		this.desc = desc;
	}
	@Override
	public String toString() {
		return "Allconstellation [title=" + title + ", constellation="
				+ constellation + ", desc=" + desc + "]";
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((constellation == null) ? 0 : constellation.hashCode());
		result = prime * result + ((desc == null) ? 0 : desc.hashCode());
		result = prime * result + ((title == null) ? 0 : title.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Allconstellation other = (Allconstellation) obj;
		if (constellation == null) {
			if (other.constellation != null)
				return false;
		} else if (!constellation.equals(other.constellation))
			return false;
		if (desc == null) {
			if (other.desc != null)
				return false;
		} else if (!desc.equals(other.desc))
			return false;
		if (title == null) {
			if (other.title != null)
				return false;
		} else if (!title.equals(other.title))
			return false;
		return true;
	}
	
}
